Module java.base
Package java.security

## Class NoSuchAlgorithmException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - java.security.NoSuchAlgorithmException

All Implemented Interfaces:
  `Serializable`

    public class NoSuchAlgorithmException
    extends GeneralSecurityException

This exception is thrown when a particular cryptographic algorithm is requested but is not available in the environment.

Since:
  1.1
See Also:
  Serialized Form

### Constructor Summary

Constructors
`NoSuchAlgorithmException()` Constructs a NoSuchAlgorithmException with no detail message.
`NoSuchAlgorithmException​(String msg)` Constructs a NoSuchAlgorithmException with the specified detail message.
`NoSuchAlgorithmException​(String message, Throwable cause)` Creates a `NoSuchAlgorithmException` with the specified detail message and cause.
`NoSuchAlgorithmException​(Throwable cause)` Creates a `NoSuchAlgorithmException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

### Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoSuchAlgorithmException

    public NoSuchAlgorithmException()

Constructs a NoSuchAlgorithmException with no detail message. A detail message is a String that describes this particular exception.

#### NoSuchAlgorithmException

    public NoSuchAlgorithmException​(String msg)

Constructs a NoSuchAlgorithmException with the specified detail message. A detail message is a String that describes this particular exception, which may, for example, specify which algorithm is not available.

Parameters:
  `msg` - the detail message.

#### NoSuchAlgorithmException

    public NoSuchAlgorithmException​(String message,
                                    Throwable cause)

Creates a `NoSuchAlgorithmException` with the specified detail message and cause.

Parameters:
  `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
Since:
  1.5

#### NoSuchAlgorithmException

    public NoSuchAlgorithmException​(Throwable cause)

Creates a `NoSuchAlgorithmException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

Parameters:
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
Since:
  1.5